/*--border-none--*/
.border-top-none {
    border-top-style: none;
}
.border-bottom-none {
    border-bottom-style: none;
}
.border-left-none {
	border-left-style: none;
}
.border-right-none {
	border-right-style: none;
}
.border-none {
	border-style: none;
}

/*--border-solid--*/
.border-top-solid {
    border-top-style: solid;
}
.border-bottom-solid {
    border-bottom-style: solid;
}
.border-left-solid {
	border-left-style: solid;
}
.border-right-solid {
	border-right-style: solid;
}
.border-solid {
	border-style: solid;
}

/*--border-dashed--*/
.border-top-dashed {
    border-top-style: dashed;
}
.border-bottom-dashed {
    border-bottom-style: dashed;
}
.border-left-dashed {
	border-left-style: dashed;
}
.border-right-dashed {
	border-right-style: dashed;
}
.border-dashed {
	border-style: dashed;
}

/*--border-width--*/
.border-thin {
    border-width: thin;
}
.border-1px {
    border-width: 1px;
}
.border-2px {
    border-width: 2px;
}
.border-3px {
    border-width: 3px;
}
.border-4px {
    border-width: 4px;
}

/*--rounded-0--*/
.rounded-top-left-0 {
    border-top-left-radius: 0;
}

.rounded-top-right-0 {
    border-top-right-radius: 0;
}

.rounded-bottom-left-0 {
    border-bottom-left-radius: 0;
}

.rounded-bottom-right-0 {
    border-bottom-right-radius: 0;
}

.rounded-custom-0 {
    border-radius: 0;
}

/*--rounded-05--*/
.rounded-top-left-05 {
    border-top-left-radius: 5px;
}

.rounded-top-right-05 {
    border-top-right-radius: 5px;
}

.rounded-bottom-left-05 {
    border-bottom-left-radius: 5px;
}

.rounded-bottom-right-05 {
    border-bottom-right-radius: 5px;
}

.rounded-custom-05 {
    border-radius: 5px;
}

/*--rounded-10--*/
.rounded-top-left-10 {
    border-top-left-radius: 10px;
}

.rounded-top-right-10 {
    border-top-right-radius: 10px;
}

.rounded-bottom-left-10 {
    border-bottom-left-radius: 10px;
}

.rounded-bottom-right-10 {
    border-bottom-right-radius: 10px;
}

.rounded-custom-10 {
    border-radius: 10px;
}

.rounded-top-left-10-ps {
    border-top-left-radius: 10%;
}

.rounded-top-right-10-ps {
    border-top-right-radius: 10%;
}

.rounded-bottom-left-10-ps {
    border-bottom-left-radius: 10%;
}

.rounded-bottom-right-10-ps {
    border-bottom-right-radius: 10%;
}

.rounded-custom-10-ps {
    border-radius: 10%;
}

/*--rounded-25--*/
.rounded-top-left-25 {
    border-top-left-radius: 25px;
}

.rounded-top-right-25 {
    border-top-right-radius: 25px;
}

.rounded-bottom-left-25 {
    border-bottom-left-radius: 25px;
}

.rounded-bottom-right-25 {
    border-bottom-right-radius: 25px;
}

.rounded-custom-25 {
    border-radius: 25px;
}

.rounded-top-left-25-ps {
    border-top-left-radius: 25%;
}

.rounded-top-right-25-ps {
    border-top-right-radius: 25%;
}

.rounded-bottom-left-25-ps {
    border-bottom-left-radius: 25%;
}

.rounded-bottom-right-25-ps {
    border-bottom-right-radius: 25%;
}

.rounded-custom-25-ps {
    border-radius: 25%;
}

/*--rounded-50--*/
.rounded-top-left-50 {
    border-top-left-radius: 50px;
}

.rounded-top-right-50 {
    border-top-right-radius: 50px;
}

.rounded-bottom-left-50 {
    border-bottom-left-radius: 50px;
}

.rounded-bottom-right-50 {
    border-bottom-right-radius: 50px;
}

.rounded-custom-50 {
    border-radius: 50px;
}
.rounded-top-left-50-ps {
    border-top-left-radius: 50%;
}

.rounded-top-right-50-ps {
    border-top-right-radius: 50%;
}

.rounded-bottom-left-50-ps {
    border-bottom-left-radius: 50%;
}

.rounded-bottom-right-50-ps {
    border-bottom-right-radius: 50%;
}

.rounded-custom-50-ps {
    border-radius: 50%;
}